using System.Globalization;
using MediaBrowser.Common.Configuration;
using MediaBrowser.Common.Plugins;
using MediaBrowser.Model.Plugins;
using MediaBrowser.Model.Serialization;
using MediaBrowser.Controller;
using MediaBrowser.Controller.Library;

namespace Jellyfin.Plugin.SmartPlaylist {
    public class Plugin : BasePlugin<PluginConfiguration>, IHasWebPages {
        public IServerApplicationPaths ServerApplicationPaths;
        public IUserManager UserManager;
        public Plugin(
            IApplicationPaths applicationPaths,
            IXmlSerializer xmlSerializer,
            IServerApplicationPaths serverApplicationPaths,
            IUserManager userManager
        ) : base (applicationPaths, xmlSerializer) {
            Instance = this;
            ServerApplicationPaths = serverApplicationPaths;
            UserManager = userManager;
        }
        public static Plugin? Instance {get; private set; }
        public override string Name => "Smart Playlist";
        public override Guid Id => Guid.Parse("dd2326e3-4d3e-4bfc-80e6-28502c1131df");
        public IEnumerable<PluginPageInfo> GetPages() {
            return new[] {
                new PluginPageInfo {
                    Name = this.Name,
                    EmbeddedResourcePath = string.Format(CultureInfo.InvariantCulture, "{0}.configPage.html", GetType().Namespace)
                }
            };
        }
    }
}
